Package com.studica.frc.jni

## Class TitanQuadEncoderJNI

- java.lang.Object
- - com.studica.frc.jni.StudicaJNIWrapper
  - - com.studica.frc.jni.TitanQuadEncoderJNI

    public class TitanQuadEncoderJNI
    extends StudicaJNIWrapper

### Constructor Summary

Constructors
`TitanQuadEncoderJNI()`

### Method Summary

All Methods Static Methods Concrete Methods
`static double` `c_TitanQuadEncoder_getEncoderDistance​(long handle, int encoder, double encoderDistPerTick, int encoderTicks, double distance)`
`static double` `c_TitanQuadEncoder_getRaw​(long handle, int encoder)`
`static short` `c_TitanQuadEncoder_getSpeed​(long handle, int encoder)`
`static void` `c_TitanQuadEncoder_resetEncoder​(long handle, int encoder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TitanQuadEncoderJNI

    public TitanQuadEncoderJNI()

### Method Detail

#### c_TitanQuadEncoder_getEncoderDistance

    public static double c_TitanQuadEncoder_getEncoderDistance​(long handle,
                                                               int encoder,
                                                               double encoderDistPerTick,
                                                               int encoderTicks,
                                                               double distance)

#### c_TitanQuadEncoder_resetEncoder

    public static void c_TitanQuadEncoder_resetEncoder​(long handle,
                                                       int encoder)

#### c_TitanQuadEncoder_getRaw

    public static double c_TitanQuadEncoder_getRaw​(long handle,
                                                   int encoder)

#### c_TitanQuadEncoder_getSpeed

    public static short c_TitanQuadEncoder_getSpeed​(long handle,
                                                    int encoder)